/* PhBToggleTexture.C: PhBToggleTexture nodes (public source) */

#include "PhBToggleTexture.H"

namespace xrml {

void PhBToggleTexture::render(void)
{
  PhBImageTextureBase::render();
}

float *PhBToggleTexture::getpixel(long i, long j)
{
  float res = image.map[(j * image.width + i) * image.channels];

  value[0] = res;
  value[1] = 1 - res;

  return value;
}

}  // namespace xrml
